Bug 103734 - Export source rpm feature does not support %if/%endif statements around %patch statements
Summary: Export source rpm feature does not support %if/%endif statements around %patc...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Developer Suite
Classification: Retired
Component: eclipse (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Rick Moseley
QA Contact: eclipse-bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-04 13:51 UTC by Rick Moseley
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-05 18:24:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rick Moseley 2003-09-04 13:51:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
If a source rpm that has been imported into an Eclipse C/C++ project has
%if/%endif statements around the last %patch statement the RPM manipulation
plugin will place the generated patch statement after the last %patch statement
(inside the %if/%endif logic) when a new source rpm is exported.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. import a source rpm that has its last %patch statement enclosed in %if/%endif
statements
2. make a source change and re-export it
3. look at the new spec file and see that the new patch statement is inside the
%if/%endif construct
    

Additional info:


Note You need to log in before you can comment on or make changes to this bug.